Bug 1436222 - The option of VM migration to the same host it is already running on is possible
Summary: The option of VM migration to the same host it is already running on is possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Tomas Jelinek
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev, vm migration
Depends On: 1418708
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 13:15 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418708
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-13 22:16:09 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/22bf18ab11e337d6de0354ab93f4785c7cccbef7

commit 22bf18ab11e337d6de0354ab93f4785c7cccbef7
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Wed Mar 22 10:58:11 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:10:40 2017 -0400

    Merge pull request #14155 from jelkosz/fail-migration-with-better-error
    
    Provide better error message when migrating to the same host
    (cherry picked from commit 976486006c16f51478718409200b818d509c7a14)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436222

 app/models/vm_or_template/operations/relocation.rb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 3 Ilanit Stein 2017-06-11 11:51:22 UTC
Verified on CFME-5.7.3.1/RHV-4.1.3

VM migration to the same host is still possible, 
however the request fail on :
"Error: The VM 'golden_env_mixed_virtio_1' can not be migrated to the same host it is already running on."

Comment 5 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.